package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.WFUserGroup;
import com.sa.ibiz.demo.demo.service.WFUserGroupService;
import com.sa.ibiz.demo.demo.service.dto.WFUserGroupSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/wfusergroup")
public class WFUserGroupResource
{
	@Autowired
	private WFUserGroupService service;


	@GetMapping(value = "/{id}")
	public ResponseEntity<WFUserGroup> get(@Validated @PathVariable String id){
		WFUserGroup data=new WFUserGroup();
		data.setWfusergroupid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("工作流用户组[get]操作发生错误","WFUserGroup",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<WFUserGroup> getDraft(@Validated @RequestBody WFUserGroup data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流用户组[getDraft]操作发生错误","WFUserGroup","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<WFUserGroup> checkKey(@Validated @RequestBody WFUserGroup data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流用户组[checkKey]操作发生错误","WFUserGroup",data.getWfusergroupid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/remove")
	public ResponseEntity<WFUserGroup> remove(@Validated @RequestBody WFUserGroup data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流用户组[remove]操作发生错误","WFUserGroup",data.getWfusergroupid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<WFUserGroup> update(@Validated @RequestBody WFUserGroup data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流用户组[update]操作发生错误","WFUserGroup",data.getWfusergroupid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<WFUserGroup> create(@Validated @RequestBody WFUserGroup data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流用户组[create]操作发生错误","WFUserGroup",data.getWfusergroupid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<WFUserGroup>> searchDefaultPage(@Validated @RequestBody WFUserGroupSearchFilter filter){
		Page<WFUserGroup> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<WFUserGroup>> listDefault(@Validated @RequestBody WFUserGroupSearchFilter filter){
		List<WFUserGroup> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
